Hi
I wrote a python code to draw a spline in Abaqus. When i run the Python code, there is this error :
"This sketch contains a spline that is not a parabola(the spline has more than three vertices).
Analytical rigid surface 2D planar feature failed"
Would you please help me to resolve this error.
This is my Python code:
#
# Getting Started with Abaqus
#
from abaqus import *
from abaqusConstants import *
import part
import math
import sketch
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
session.journalOptions.setValues(replayGeometry=COORDINATE,
recoverGeometry=COORDINATE)
from caeModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
Mdb()
mdb.models.changeKey(fromName='Model-1', toName='standard')
##
## Sketch profile of punch
##
s0 = mdb.models['standard'].ConstrainedSketch(name='__profile__', sheetSize=50)
x2Max = 3.0
points = []
for i in range(100):
x2 = (float(i)/99)*x2Max
y2 = 10/3*math.sqrt(9-x2**2)
points.append([x2,y2])
s0.Spline(points=points)
session.viewports['Viewport: 1'].view.fitView()
mdb.models['standard'].ConstrainedSketch(name='Punch', objectToCopy=s0)
p = mdb.models['standard'].Part(name='Punch', dimensionality=TWO_D_PLANAR,
type=ANALYTIC_RIGID_SURFACE)
p = mdb.models['standard'].parts['Punch']
p.AnalyticRigidSurf2DPlanar(sketch=s0)
p = mdb.models['standard'].parts['Punch']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['standard'].sketches['__profile__']